%define name tla
%define version 1.2
%define release 1mdk

Name: %name
Version: %version
Release: %release
Summary: Tla revision control system
License: GPL
Group: Development/Other
URL: http://www.gnu.org/software/gnu-arch/
Source0: http://ftp.belnet.be/mirror/ftp.gnu.org/gnu/gnu-arch/%{name}-%{version}.tar.bz2
Requires: patch diffutils
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Also known as gnu-arch.
A modern replacement for CVS, specifically designed for the distributed 
development needs of open source projects. It has uniquely good support 
for development on branches (especially good merging tools), distributed 
repositories (every developer can have branches in their own repository), 
changeset-oriented project management (arch commits changes to multiple 
files at once), and, of course, file and directory renaming.

%prep

%setup -q -n %{name}-%{version}

%build

cd src
mkdir =build
cd =build

export CFLAGS="${RPM_OPT_FLAGS}" CXXFLAGS="${RPM_OPT_FLAGS}" FFLAGS="${RPM_OPT_FLAGS}";
../configure --prefix=%{_prefix} --destdir=%{buildroot} 

make

make test

%install
rm -rf %{buildroot}
cd src/=build
make install

cd ../..
cp src/tla/=THANKS =THANKS
cp -r src/docs-tla/html html
cp -r src/docs-tla/ps ps
cp -r src/docs-tla/texi texi

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING =INSTALL =RELEASE-ID html ps texi
%{_bindir}/*

%changelog
* Sat Feb 28 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.2-1mdk
- New release 1.2

* Fri Feb 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2-0.pre2.1mdk
- 1.2pre2

* Fri Feb 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1-0.pre7.2mdk
- add requires (Fix Bug #7790)

* Tue Oct 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1-0.pre7.1mdk
- 1.1pre7

* Thu Jul 10 2003 Angles <angles@aminvestments.com>
- bump to version tls 1.0.6

* Mon Jun 30 2003 Angles <angles@aminvestments.com>
- this is c version of larch called tls
- bump to version tls 1.0.4

* Sun May 21 2002 Angles <angles@aminvestments.com>
- bump to version 1.0pre16

* Sun May 05 2002 Angles <angles@aminvestments.com>
- bump to version 1.0pre15

* Thu Apr 11 2002 Angles <angles@aminvestments.com>
- bump to version 1.0pre14
- automate patch2 to match build hosts actual vars

* Mon Mar 27 2002 Angles <angles@phpgroupware.org>
- bump to version 1.0pre13
- redo patches so no version-name strings are in the patch paths

* Mon Mar 11 2002 Angles <angles@phpgroupware.org>
- initial package release, version 1.0pre11
- make symlinks in linexec tree relative to remove hard coded rpm buildroot path
- find useful docs and assemble for the rpm doc macro

